return {
    {
        "nvim-telescope/telescope.nvim",
        branch = "0.1.x",
        dependencies = {
            { "nvim-telescope/telescope-fzf-native.nvim", build = "make" },
            "nvim-lua/plenary.nvim",
        }
    },
    {
        "hrsh7th/nvim-cmp",
        event = "InsertEnter",
        dependencies = {
            "hrsh7th/cmp-buffer",
            "hrsh7th/cmp-nvim-lsp",
            "hrsh7th/cmp-path",
        }
    },
    {
        "nvim-treesitter/nvim-treesitter",
        dependencies = {
            "nvim-treesitter/nvim-treesitter-context",
            "nvim-treesitter/nvim-treesitter-textobjects",
            "nvim-treesitter/playground",
        }
    },
    {
        "j-hui/fidget.nvim",
        tag = "legacy",
        event = "LspAttach",
        opts = {
            window = {
                blend = 0,
            },
        },
    },
    {
        "williamboman/mason.nvim",
        tag = "v1.6.2",
        opts = {},
    },
    {
        "windwp/nvim-autopairs",
        event = "InsertEnter",
        opts = {}
    },
    {
        "lukas-reineke/indent-blankline.nvim",
        tag = "v2.20.7",
        opts = {
            char = "▏",
            show_current_context = true,
            buftype_exclude = { "help" },
            filetype_exclude = { "alpha", "startify", "packer", "NvimTree" },
        }
    },
    { "catppuccin/nvim",               name = "catppuccin" },
    { "stevearc/oil.nvim",             tag = "v1.0.0" },
    { "lukas-reineke/lsp-format.nvim", tag = "v2.5.1" },
    { "nvim-tree/nvim-web-devicons",   lazy = true },
    "L3MON4D3/LuaSnip",
    "hrsh7th/cmp-cmdline",
    "lewis6991/gitsigns.nvim",
    "neovim/nvim-lspconfig",
    "nvim-lualine/lualine.nvim",
    "onsails/lspkind.nvim",
}
